Index: bin/makespec
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/bin/makespec,v
retrieving revision 1.9
diff -c -r1.9 makespec
*** bin/makespec	2001/01/04 07:20:49	1.9
--- bin/makespec	2001/05/05 11:27:54
***************
*** 29,37 ****
  set specfile=$jsfroot/src/JSFConfig.h
  
  echo "#ifndef __JSFCONFIG__" >! $specfile
! echo "#define __JSFCONFIG__\n" >> $specfile
  
! echo -n "\nJSF version .."
  cat $JSFROOT/conf/jsf.version | grep -v XCOMM >> $specfile
  
  echo -n "Root version .."
--- 29,37 ----
  set specfile=$jsfroot/src/JSFConfig.h
  
  echo "#ifndef __JSFCONFIG__" >! $specfile
! echo "#define __JSFCONFIG__" >> $specfile
  
! echo -n "JSF version .."
  cat $JSFROOT/conf/jsf.version | grep -v XCOMM >> $specfile
  
  echo -n "Root version .."
***************
*** 55,61 ****
  ##########################
  #
  ##########################
! echo "\n#ifndef __CINT__" >> $specfile
  echo -n "#define __UNAME_MACHINE__ " >> $specfile
  uname -m >> $specfile
  echo -n "#define __UNAME_SYSNAME__ " >> $specfile
--- 55,61 ----
  ##########################
  #
  ##########################
! echo "#ifndef __CINT__" >> $specfile
  echo -n "#define __UNAME_MACHINE__ " >> $specfile
  uname -m >> $specfile
  echo -n "#define __UNAME_SYSNAME__ " >> $specfile
***************
*** 91,97 ****
  echo $g77lib  >> $specfile
  
  echo "#endif" >> $specfile
! echo "\n#endif" >> $specfile
  
  
  exitmsg:
--- 91,97 ----
  echo $g77lib  >> $specfile
  
  echo "#endif" >> $specfile
! echo "#endif" >> $specfile
  
  
  exitmsg:
Index: conf/makejsf.tmpl
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/conf/makejsf.tmpl,v
retrieving revision 1.23
diff -c -r1.23 makejsf.tmpl
*** conf/makejsf.tmpl	2001/01/04 07:19:20	1.23
--- conf/makejsf.tmpl	2001/05/05 11:27:55
***************
*** 17,27 ****
--- 17,31 ----
  XCOMM # 
  #include "conf/spec"
  DllSuf        = $(SOEXT)
+ DylibSuf      = $(SOEXT)
  SrcSuf        = cxx
  ObjSuf        = o
  HdrSuf        = h
  
  LD            = $(CXX)
+ DYLDFLAGS     = $(SOFLAGS)
+ DYLIBFLAGS    = $(SOFLAGS)
+ DYLDEXTRALIBS = 
  
  #if __ROOT_FULLVERSION__ >= 22200
  ROOT222LIBS	= -lPhysics
***************
*** 96,101 ****
--- 100,149 ----
                  -lXpm -lX11 $(LIBF2C) -lm -ldl
  BLOCKDATA     = 
  DEPENDFILES  += $(shell cxxdepends)
+ #endif
+ 
+ XCOMM # -----------------------------------------------------
+ XCOMM # MacOS X
+ XCOMM # -----------------------------------------------------
+ #if defined(MacOSXArchitecture) || defined(DarwinArchitecture)
+ #ifndef PPCArchitecture
+ #define PPCArchitecture
+ #endif
+ #ifndef PowerPCArchitecture
+ #define PowerPCArchitecture
+ #endif
+ 
+ SOEXT         = so
+ DylibSuf      = dylib	
+ LIBF2C	      = -l$(G77EGCS_LIBNAME)
+ CXX           = c++ -O
+ CXXFLAGS      = -pipe -Wall -fsigned-char \
+ 		$(EXTRACXXOPT) -D__DARWIN__ \
+ 		-I$(JSFROOT)/include $(shell root-config --cflags)
+ # DYLIBFLAGS    = -dylib -r -nostartfiles -nodefaultlibs
+ DYLIBFLAGS    = -dylib -r -nostdlib
+ # DYLDFLAGS     = -dynamiclib -undefined suppress -nostdlib -bind_at_load
+ DYLDFLAGS     = -dynamiclib -undefined suppress
+ SOFLAGS       = -bundle -undefined suppress
+ LDFLAGS       = $(ANALLIB) $(GLIBS) -Xlinker -bind_at_load
+ LIBS          = $(ROOTLIBS) -L/usr/local/lib -lm -ldl
+ GLIBS         = $(ROOTLIBS) $(ROOTGLIBS) -L/usr/X11R6/lib \
+                 -lXpm -lX11 $(LIBF2C) -L/usr/local/lib -lm -ldl
+ # DYLDEXTRALIBS = -lcc_dynamic
+ BLOCKDATA     = 
+ DEPENDFILES  += $(shell cxxdepends)
+ #  ifndef InstallSharedLibrary
+ #  define InstallSharedLibrary(libname,rev,dest)                        @@\
+ install:: Concat(lib,libname.so.rev)                                    @@\
+ 	MakeDir($(DESTDIR)dest)                                         @@\
+ 	$(INSTALL) $(INSTALLFLAGS) $(INSTBINFLAGS) Concat(lib,libname.so.rev) $(DESTDIR)dest @@\
+ 	@T=`echo Concat($(DESTDIR)dest/lib,libname.so.rev) | sed 's/\.[^\.]*$$//'`;\
+ 	set -x; $(RM) $$T && $(LN) Concat(lib,libname.so.rev) $$T     @@\
+ 	@if $(SOSYMLINK); then (set -x; \
+ 	$(RM) Concat($(DESTDIR)dest/lib,libname.so); \                @@\
+ 	$(LN) Concat(lib,libname.so.rev) Concat($(DESTDIR)dest/lib,libname.so)); fi
+ #  endif
+ 
  #endif
  
  XCOMM # -----------------------------------------------------
Index: example/guiexam1/JSFEventDisplay.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/example/guiexam1/JSFEventDisplay.cxx,v
retrieving revision 1.14
diff -c -r1.14 JSFEventDisplay.cxx
*** example/guiexam1/JSFEventDisplay.cxx	2001/01/04 07:29:18	1.14
--- example/guiexam1/JSFEventDisplay.cxx	2001/05/05 11:27:55
***************
*** 83,91 ****
  
  JSFSIMDST *simdst=0;
  TPolyMarker3D *pm=0;
! TMarker3DBox *box3d;
! TPolyLine3D *pl;
! TNode *gvAll, *gvVTX, *gvMomentum;
  Bool_t  gGeometryIsInitialized;
  
  //---------------------------------------------------------------------------
--- 83,93 ----
  
  JSFSIMDST *simdst=0;
  TPolyMarker3D *pm=0;
! TMarker3DBox *box3d=0;
! TPolyLine3D *pl=0;
! TNode *gvAll=0;
! TNode *gvVTX=0;
! TNode *gvMomentum=0;
  Bool_t  gGeometryIsInitialized;
  
  //---------------------------------------------------------------------------
***************
*** 296,302 ****
      fCanvasDirectory=gDirectory;
    } 
    else {
!     fCanvas->Clear();
      Clear();
    }
    TDirectory *olddir=gDirectory;
--- 298,304 ----
      fCanvasDirectory=gDirectory;
    } 
    else {
!     fCanvas->Clear("d");
      Clear();
    }
    TDirectory *olddir=gDirectory;
Index: share/bases/src/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/share/bases/src/Imakefile,v
retrieving revision 1.5
diff -c -r1.5 Imakefile
*** share/bases/src/Imakefile	2000/07/04 05:29:10	1.5
--- share/bases/src/Imakefile	2001/05/05 11:27:55
***************
*** 18,29 ****
  	bases_hist.h bases_xhist.h bs_variable.h hist_buff.h \
  	bases_ran1.h
  
! LIBBASES = libBasesSpring.$(SOEXT)
  
  all:: $(LIBBASES) install
  
  $(LIBBASES): $(OBJS)
! 	$(LD) $(SOFLAGS) $(OBJS) -o $(LIBBASES)
  
  install:: $(LIBBASES)
  	mkdir -p $(JSFROOT)/lib
--- 18,30 ----
  	bases_hist.h bases_xhist.h bs_variable.h hist_buff.h \
  	bases_ran1.h
  
! LIBBASES = libBasesSpring.$(DylibSuf)
  
  all:: $(LIBBASES) install
  
  $(LIBBASES): $(OBJS)
! 	$(LD) $(DYLIBFLAGS) $(OBJS) -o $(LIBBASES)
! #	$(LD) $(DYLDFLAGS) $(OBJS) -o $(LIBBASES)  $(DYLDEXTRALIBS)
  
  install:: $(LIBBASES)
  	mkdir -p $(JSFROOT)/lib
***************
*** 39,44 ****
  clean::
  	\rm -f *.o
  
! cleanall:: clean
  	rm Makefile
  
--- 40,45 ----
  clean::
  	\rm -f *.o
  
! distclean:: clean
  	rm Makefile
  
Index: src/Imakefile
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/Imakefile,v
retrieving revision 1.28
diff -c -r1.28 Imakefile
*** src/Imakefile	2001/01/11 00:13:56	1.28
--- src/Imakefile	2001/05/05 11:27:55
***************
*** 18,24 ****
--- 18,28 ----
  
  CERNLIBS      = -L$(CERN_ROOT)/lib -ljetset74 -lpacklib
  
+ #if defined(MacOSXArchitecture) || defined(DarwinArchitecture)
+ ROOTLIBS     += -lEGPythia -lEG $(CERNLIBS)
+ #else
  ROOTLIBS     += -lEGPythia -lEG -Wl,-u,pytest_ $(CERNLIBS)
+ #endif
  
  LCLIBDIR      = $(LCLIBROOT)/lib
  
***************
*** 112,137 ****
  all::  libjsf libjsflcfull libjsfquicksim jsf
  #endif
  
! libjsf: ../lib/libJSF.$(DllSuf)
! ../lib/libJSF.$(DllSuf): $(OBJJSF)
  	@echo "Linking $@ "
! 	$(LD) $(SOFLAGS)  $(OBJJSF) -o libJSF.$(DllSuf)
! 	@mv libJSF.$(DllSuf) ../lib
  
! libjsflcfull: ../lib/libJSFLCFULL.$(DllSuf) ../lib/libJSFLCFULL.a
! ../lib/libJSFLCFULL.$(DllSuf):   $(OBJJSFLCFULL)
  	@echo "Linking $@ "
! 	$(LD) $(SOFLAGS)  $(OBJJSFLCFULL) -o $@
  
  ../lib/libJSFLCFULL.a:   $(OBJJSFLCFULL)
  	@echo "Linking $@"
  	@/bin/rm -f $@
  	ar -r $@ $(OBJJSFLCFULL)
  
! libjsfquicksim:     ../lib/libJSFQuickSim.$(DllSuf) ../lib/libJSFQuickSim.a
! ../lib/libJSFQuickSim.$(DllSuf):     $(OBJJSFQUICKSIM)
  	@echo "Linking $@"
! 	$(LD) $(SOFLAGS)  $(OBJJSFQUICKSIM) -o $@
  
  ../lib/libJSFQuickSim.a:     $(OBJJSFQUICKSIM)
  	@echo "Linking $@"
--- 116,143 ----
  all::  libjsf libjsflcfull libjsfquicksim jsf
  #endif
  
! libjsf: ../lib/libJSF.$(DylibSuf)
! ../lib/libJSF.$(DylibSuf): $(OBJJSF)
  	@echo "Linking $@ "
! 	$(LD) $(DYLIBFLAGS)  $(OBJJSF) -o libJSF.$(DylibSuf)
! 	@mv libJSF.$(DylibSuf) ../lib
  
! libjsflcfull: ../lib/libJSFLCFULL.$(DylibSuf) ../lib/libJSFLCFULL.a
! ../lib/libJSFLCFULL.$(DylibSuf):   $(OBJJSFLCFULL)
  	@echo "Linking $@ "
! 	$(LD) $(DYLIBFLAGS)  $(OBJJSFLCFULL) -o libJSFLCFULL.$(DylibSuf)
! 	@mv libJSFLCFULL.$(DylibSuf) ../lib
  
  ../lib/libJSFLCFULL.a:   $(OBJJSFLCFULL)
  	@echo "Linking $@"
  	@/bin/rm -f $@
  	ar -r $@ $(OBJJSFLCFULL)
  
! libjsfquicksim:     ../lib/libJSFQuickSim.$(DylibSuf) ../lib/libJSFQuickSim.a
! ../lib/libJSFQuickSim.$(DylibSuf):     $(OBJJSFQUICKSIM)
  	@echo "Linking $@"
! 	$(LD) $(DYLIBFLAGS)  $(OBJJSFQUICKSIM) -o libJSFQuickSim.$(DylibSuf)
! 	@mv libJSFQuickSim.$(DylibSuf) ../lib
  
  ../lib/libJSFQuickSim.a:     $(OBJJSFQUICKSIM)
  	@echo "Linking $@"
***************
*** 139,154 ****
  	ar -r $@ $(OBJJSFQUICKSIM) 
  
  #if __ROOT_FULLVERSION__ < 30000
! libjsfdmatrix: ../lib/libJSFDMatrix.$(DllSuf)
! ../lib/libJSFDMatrix.$(DllSuf): $(OBJJSFDMATRIX)
  	@echo "Linking $@"
! 	$(LD) $(SOFLAGS)  $(OBJJSFDMATRIX) -o $@
  #endif
  
  jsf: $(OBJS) jsfmain.o
  	$(LD) jsfmain.o $(BLOCKDATA) \
  	$(JSFLIBS) $(LDFLAGS) \
! 	 -o jsf
  	@cp -p jsf ../bin
  	@rm -f jsf
  	@echo jsf was installed in ../bin/jsf
--- 145,160 ----
  	ar -r $@ $(OBJJSFQUICKSIM) 
  
  #if __ROOT_FULLVERSION__ < 30000
! libjsfdmatrix: ../lib/libJSFDMatrix.$(DylibSuf)
! ../lib/libJSFDMatrix.$(DylibSuf): $(OBJJSFDMATRIX)
  	@echo "Linking $@"
! 	$(LD) $(DYLDFLAGS)  $(OBJJSFDMATRIX) -o $@
  #endif
  
  jsf: $(OBJS) jsfmain.o
  	$(LD) jsfmain.o $(BLOCKDATA) \
  	$(JSFLIBS) $(LDFLAGS) \
! 	 -o jsf $(DYLDEXTRALIBS)
  	@cp -p jsf ../bin
  	@rm -f jsf
  	@echo jsf was installed in ../bin/jsf
Index: src/JSFFULLGenerator.h
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFFULLGenerator.h,v
retrieving revision 1.1.1.1
diff -c -r1.1.1.1 JSFFULLGenerator.h
*** src/JSFFULLGenerator.h	1998/10/20 08:11:27	1.1.1.1
--- src/JSFFULLGenerator.h	2001/05/05 11:27:55
***************
*** 21,27 ****
  
  class JSFFULLGenerator : public JSFGenerator {
  public:
!    JSFSpring *fSpring;
  public:
     JSFFULLGenerator(const char *name="JSFFULLGenerator", 
                      const char *title="JSFFULLGenerator");
--- 21,27 ----
  
  class JSFFULLGenerator : public JSFGenerator {
  public:
!    JSFSpring *fSpring;	//!
  public:
     JSFFULLGenerator(const char *name="JSFFULLGenerator", 
                      const char *title="JSFFULLGenerator");
Index: src/JSFGenerator.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFGenerator.cxx,v
retrieving revision 1.4
diff -c -r1.4 JSFGenerator.cxx
*** src/JSFGenerator.cxx	2001/01/11 00:13:56	1.4
--- src/JSFGenerator.cxx	2001/05/05 11:27:55
***************
*** 45,51 ****
--- 45,55 ----
  //   Create one JSFGenerator object
  //
    fNparticles=0;
+ #ifdef __DARWIN__
+   fParticles= new TClonesArray("JSFGeneratorParticle", 1000);
+ #else
    if( !fParticles ) fParticles= new TClonesArray("JSFGeneratorParticle", 1000);
+ #endif
    fEcm=0;
    fStartSeed=0;
  }
Index: src/JSFHelicalTrack.h
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFHelicalTrack.h,v
retrieving revision 1.6
diff -c -r1.6 JSFHelicalTrack.h
*** src/JSFHelicalTrack.h	2000/10/04 23:58:20	1.6
--- src/JSFHelicalTrack.h	2001/05/05 11:27:55
***************
*** 157,163 ****
--- 157,167 ----
       Double_t y=fHelix.pivot.y + fHelix.dr*TMath::Sin(fHelix.phi0)
                 +r*(TMath::Sin(fHelix.phi0)- TMath::Sin(fHelix.phi0+phi));
       Double_t z=fHelix.pivot.z + fHelix.dz - r*fHelix.tanl*phi;
+ #if defined(__DARWIN__)
+      JSF3DV xp;
+ #else
       static JSF3DV xp;
+ #endif
       xp=JSF3DV(x,y,z);
       return xp;
    }
***************
*** 166,172 ****
--- 170,180 ----
       Double_t r=fAlpha/fHelix.kappa;
       Double_t x=fHelix.pivot.x + (fHelix.dr+r)*TMath::Cos(fHelix.phi0);
       Double_t y=fHelix.pivot.y + (fHelix.dr+r)*TMath::Sin(fHelix.phi0);
+ #if defined(__DARWIN__)
+      JSF2DV xp;
+ #else
       static JSF2DV xp;
+ #endif
       xp=JSF2DV(x,y);
       return xp;
    }
***************
*** 176,182 ****
--- 184,194 ----
  
    inline JSF3DV GetMomentum(Double_t phi){
      Double_t kinv=1.0/TMath::Abs(fHelix.kappa);
+ #if defined(__DARWIN__)
+     JSF3DV xv;
+ #else
      static JSF3DV xv;
+ #endif
      xv=JSF3DV( -kinv*TMath::Sin(fHelix.phi0+phi),
  		    kinv*TMath::Cos(fHelix.phi0+phi),
  		    kinv*fHelix.tanl);
Index: src/JSFLTKCLTrack.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFLTKCLTrack.cxx,v
retrieving revision 1.8
diff -c -r1.8 JSFLTKCLTrack.cxx
*** src/JSFLTKCLTrack.cxx	2001/01/11 00:13:56	1.8
--- src/JSFLTKCLTrack.cxx	2001/05/05 11:27:55
***************
*** 39,45 ****
--- 39,49 ----
  
  
  //_____________________________________________________________________________
+ #ifdef __DARWIN__
+ JSFLTKCLTrack::JSFLTKCLTrack(Int_t bank, TVector& P, Float_t ecl,
+ #else
  JSFLTKCLTrack::JSFLTKCLTrack(EJSFLTKCLTrackBank bank, TVector& P, Float_t ecl,
+ #endif
           Int_t nemc, Int_t charge, Int_t type, Int_t source, 
   	 Int_t ncdc, Int_t first)
  { 
***************
*** 51,57 ****
--- 55,65 ----
  }
  
  //_____________________________________________________________________________
+ #ifdef __DARWIN__
+ JSFLTKCLTrack::JSFLTKCLTrack(Int_t bank, Float_t data[])
+ #else
  JSFLTKCLTrack::JSFLTKCLTrack(EJSFLTKCLTrackBank bank, Float_t data[])
+ #endif
  {
      fBank=bank;
      fP[1]=data[0] ;  fP[2]=data[1] ;  fP[3]=data[2] ;  fP[0]=data[3] ; 
Index: src/JSFLTKCLTrack.h
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFLTKCLTrack.h,v
retrieving revision 1.7
diff -c -r1.7 JSFLTKCLTrack.h
*** src/JSFLTKCLTrack.h	2001/01/11 00:13:56	1.7
--- src/JSFLTKCLTrack.h	2001/05/05 11:27:55
***************
*** 21,35 ****
--- 21,44 ----
  #include "JSFCDCTrack.h"
  #endif
  
+ #if 1
+ enum {kCombinedGammaTrack, kCombinedLeptonTrack, kCombinedHadronTrack };
+ // typedef Int_t EJSFLTKCLTrackBank;
+ #else
  typedef enum {kCombinedGammaTrack, kCombinedLeptonTrack,
                kCombinedHadronTrack } EJSFLTKCLTrackBank;
+ #endif
  
  
  // *********************************************************
  class JSFLTKCLTrack : public TObject {
  friend class JSFQuickSimBuf;
  protected:
+ #if 1
+   Int_t fBank; // The original bank name
+ #else
    EJSFLTKCLTrackBank  fBank; // The original bank name
+ #endif
    Double_t    fP[4];    // four momentum (E,Px,Py,Pz), GeV
    Double_t    fEcl;     // ECL if electrons, unused otherwise.
    Int_t     fNEMC;   // EMC Cluster # if electrons, unused othersize.
***************
*** 45,54 ****
--- 54,71 ----
    JSFLTKCLTrack() {}
    virtual ~JSFLTKCLTrack() {}
  
+ #if 1
+   JSFLTKCLTrack(Int_t bank, TVector& P, Real_t ecl,
+ #else
    JSFLTKCLTrack(EJSFLTKCLTrackBank bank, TVector& P, Real_t ecl,
+ #endif
           Int_t nemc, Int_t charge, Int_t type, Int_t source, 
   	 Int_t ncdc, Int_t first);
+ #if 1
+   JSFLTKCLTrack(Int_t bank, Float_t data[]);
+ #else
    JSFLTKCLTrack(EJSFLTKCLTrackBank bank, Float_t data[]);
+ #endif
    JSFLTKCLTrack(Float_t data[]);
    JSFLTKCLTrack(JSFLTKCLTrack& t);
  
Index: src/JSFQuickSim.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFQuickSim.cxx,v
retrieving revision 1.23
diff -c -r1.23 JSFQuickSim.cxx
*** src/JSFQuickSim.cxx	2001/01/11 00:13:56	1.23
--- src/JSFQuickSim.cxx	2001/05/05 11:27:55
***************
*** 403,409 ****
--- 403,413 ----
    Char_t *bankname[64]={ "Production:Combined_Gamma_Track",
  			 "Production:Combined_Lepton_Track",
  			 "Production:Combined_Hadron_Track"};
+ #ifdef __DARWIN__
+   Int_t bank[3]={kCombinedGammaTrack, kCombinedLeptonTrack, 
+ #else
    EJSFLTKCLTrackBank bank[3]={kCombinedGammaTrack, kCombinedLeptonTrack, 
+ #endif
  			      kCombinedHadronTrack};
  
    Float_t data[100];  
***************
*** 624,630 ****
--- 628,641 ----
    for(i=0;i<fNTracks;i++){
      JSFLTKCLTrack *lt=(JSFLTKCLTrack*)fTracks->UncheckedAt(i);
      Int_t icdc=lt->Get1stCDC();
+ #ifdef __DARWIN__
+     if (icdc < 0) {
+ 	lt->SetCDC(icdc,0);
+ 	continue;
+     }
+ #else
      if( icdc < 0 ) continue;
+ #endif
      JSFCDCTrack *t=(JSFCDCTrack*)fCDCTracks->UncheckedAt(icdc);
      lt->SetCDC(icdc, t);
    }
Index: src/JSFSpring.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/JSFSpring.cxx,v
retrieving revision 1.13
diff -c -r1.13 JSFSpring.cxx
*** src/JSFSpring.cxx	2001/01/11 00:13:56	1.13
--- src/JSFSpring.cxx	2001/05/05 11:27:55
***************
*** 187,193 ****
--- 187,197 ----
    : JSFEventBuf(name, title, (JSFModule*)spring)
  {
     fNparton = 0 ;
+ #ifndef __DARWIN__ 
     if( !fPartons ) fPartons = new TClonesArray("JSFSpringParton",100);
+ #else
+    fPartons = new TClonesArray("JSFSpringParton",100);
+ #endif
  }
  
  
***************
*** 197,202 ****
--- 201,207 ----
  {
     Clear();
     if( fPartons ) delete fPartons;
+    fPartons = 0;
  }
  
  
Index: src/jsfmain.cxx
===================================================================
RCS file: /proj/soft/CVSMASTER/jsf/src/jsfmain.cxx,v
retrieving revision 1.5
diff -c -r1.5 jsfmain.cxx
*** src/jsfmain.cxx	2000/01/25 05:07:26	1.5
--- src/jsfmain.cxx	2001/05/05 11:27:55
***************
*** 45,50 ****
--- 45,55 ----
  extern "C" void G__cpp_setupG__Pythia();
  #endif
  
+ #if defined(__DARWIN__)
+ extern "C" void G__cpp_setupG__Pythia();
+ extern "C" void pydata_();
+ #endif
+ 
  #if __ROOT_VERSION__ >= 2 && __ROOT_MINORVERSION__ >= 23
  TROOT root("Rint","The ROOT Interactive Interface");
  #else
***************
*** 85,92 ****
     G__cpp_setuplibJSF();
     G__cpp_setuplibJSFLCFULL(); 
     G__cpp_setuplibJSFQuickSim();
! #if defined(_HIUX_SOURCE)
     G__cpp_setupG__Pythia();
  #endif
  }
  
--- 90,100 ----
     G__cpp_setuplibJSF();
     G__cpp_setuplibJSFLCFULL(); 
     G__cpp_setuplibJSFQuickSim();
! #if defined(_HIUX_SOURCE) || defined(__DARWIN__)
     G__cpp_setupG__Pythia();
+ #if defined(__DARWIN__)
+    pydata_();
+ #endif
  #endif
  }
  
